List logs
curl --request GET \
--url https://api.prequel.co/logs \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.prequel.co/logs"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.prequel.co/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"event_logs": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"event_type": "DESTINATION_ADD",
"resource_id": "<string>",
"actor": {
"actor_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "unknown"
},
"previous_object": "<unknown>",
"object": "<unknown>"
}
]
},
"message": "<string>",
"has_next": true,
"next_url": "<string>"
}{
"status": "error",
"message": "<string>",
"data": null
}{
"status": "error",
"message": "<string>",
"data": null
}{
"status": "error",
"message": "<string>",
"data": null
}{
"status": "error",
"message": "<string>",
"data": null
}Monitoring & Logging
List logs
Returns the audit logs for all events.
GET
/
logs
List logs
Authorizations
Query Parameters
Number of logs to return.
Offset of logs to return.
Minimum timestamp of logs to return.
Type of event to filter logs by.
Number of items to return per page.
Sort order for items
Available options:
asc, desc Used for pagination - represents last page seen. Value is included in response when there is a next page.